/*!
  \file
  \brief Qt におけるスレッドを用いた通信サンプル

  \author Satofumi KAMIMURA

  $Id: main.cpp 1138 2009-07-13 10:40:08Z satofumi $
*/

#include "ServerThread.h"
#include "ClientThread.h"
#include <QApplication>
#include <iostream>

using namespace std;


int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  ServerThread server;
  ClientThread client;

  cout << "thread start." << endl;
  server.start();
  client.start();

  cout << "thread end." << endl;
  client.wait();
  server.terminate();
  server.wait();

  return 0;
}
